#include <fstream>
using namespace std;
int main ()
{
	ifstream f("tknp.inp");
	ofstream g("tknp.out");
	long long m,n,a[99999],dem=0;
	int i;
	f>>n>>m;
	for (i=1;i<=n;i++)
	{ f>>a[i]; }
	for (i=1;i<=n;i++)
	{
		if (m==a[i])
		{dem=1;
		g<<i;}
	}
	if (dem==0)
	g<<"-1";
	f.close();
	g.close();
}
